Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.util
Class EngineAPIConst

    java.lang.Object
      jet.cs.util.EngineAPIConst

    public class EngineAPIConst

extends java.lang.Object

Field Summary
`static int` | `BIG5` Indicates converter encoding.
`static int` | `DHTMLFILEMAIL` Indicates the DHTML file mail format when exported to mail.
`static int` | `EXPORTSHAPE` Indicates export geometry object to excel file.
`static int` | `GB` Indicates converter encoding.
`static int` | `GROUP`
`static int` | `HIDDEN` Indicates the html text overflow type is HIDDEN.
`static int` | `HTMLFILEMAIL` Indicates the HTML file mail format when exported to mail.
`static int` | `HTMLMAIL` Indicates the HTML mail format when exported to mail.
`static int` | `IE` Indicates the html browser is IE.
`static int` | `KEEPORIGIN` Indicates keep wardwrap.
`static int` | `LANDSCAPE` The origin is at the bottom left of the paper with x running bottom to top and y running left to right.
`static int` | `LAYOUT`
`static int` | `NETSCAPE` Indicates the html browser is NETSCAPE.
`static int` | `NOEXPORTSHAPE` Indicates export geometry object to excel file.
`static int` | `NOWORDWRAP` Indicates no wardwrap.
`static int` | `PDFFILEMAIL` Indicates the PDF file mail format when exported to mail.
`static int` | `PLAINTXTMAIL` Indicates the Plain Text mail format when exported to mail.
`static int` | `PORTRAIT` The origin is at the top left of the paper with x running to the right and y running down the paper.
`static int` | `PSFILEMAIL` Indicates the PostScript file mail format when exported to mail.
`static int` | `RSTFILEMAIL` Indicates the RST file mail format when exported to mail.
`static int` | `RTFFILEMAIL` Indicates the RTF mail format when exported to mail.
`static int` | `SDFTEXTMAIL` Indicates the SDF Text mail format when exported to mail.
`static int` | `vDebug` Indicates to open the debug.
`static int` | `vError` Indicates to open the error.
`static int` | `VISIBLE` Indicates the html text overflow type is VISIBLE.
`static int` | `vOff` Indicates to close the debug.
`static int` | `WORDWRAPALL` Indicates all wardwrap.
`static int` | `XLSFILEMAIL` Indicates the Excel mail format when exported to mail.
`static int` | `XMLFILEMAIL` Indicates the XML mail format when exported to mail.

Constructor Summary
`EngineAPIConst()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAYOUT

    public static final int LAYOUT

### GROUP

    public static final int GROUP

### vOff

    public static final int vOff

  Indicates to close the debug.

### vDebug

    public static final int vDebug

  Indicates to open the debug.

### vError

    public static final int vError

  Indicates to open the error.

### LANDSCAPE

    public static final int LANDSCAPE

  The origin is at the bottom left of the paper with x running bottom to top and y running left to right. Note that this is not the Macintosh landscape but is the Window's and PostScript landscape.

### PORTRAIT

    public static final int PORTRAIT

  The origin is at the top left of the paper with x running to the right and y running down the paper.

### RSTFILEMAIL

    public static final int RSTFILEMAIL

  Indicates the RST file mail format when exported to mail.

### HTMLMAIL

    public static final int HTMLMAIL

  Indicates the HTML mail format when exported to mail.

### HTMLFILEMAIL

    public static final int HTMLFILEMAIL

  Indicates the HTML file mail format when exported to mail.

### PDFFILEMAIL

    public static final int PDFFILEMAIL

  Indicates the PDF file mail format when exported to mail.

### PLAINTXTMAIL

    public static final int PLAINTXTMAIL

  Indicates the Plain Text mail format when exported to mail.

### SDFTEXTMAIL

    public static final int SDFTEXTMAIL

  Indicates the SDF Text mail format when exported to mail.

### PSFILEMAIL

    public static final int PSFILEMAIL

  Indicates the PostScript file mail format when exported to mail.

### XLSFILEMAIL

    public static final int XLSFILEMAIL

  Indicates the Excel mail format when exported to mail.

### RTFFILEMAIL

    public static final int RTFFILEMAIL

  Indicates the RTF mail format when exported to mail.

### XMLFILEMAIL

    public static final int XMLFILEMAIL

  Indicates the XML mail format when exported to mail.

### DHTMLFILEMAIL

    public static final int DHTMLFILEMAIL

  Indicates the DHTML file mail format when exported to mail.

### IE

    public static final int IE

  Indicates the html browser is IE.

### NETSCAPE

    public static final int NETSCAPE

  Indicates the html browser is NETSCAPE.

### VISIBLE

    public static final int VISIBLE

  Indicates the html text overflow type is VISIBLE.

### HIDDEN

    public static final int HIDDEN

  Indicates the html text overflow type is HIDDEN.

### KEEPORIGIN

    public static final int KEEPORIGIN

  Indicates keep wardwrap.

### NOWORDWRAP

    public static final int NOWORDWRAP

  Indicates no wardwrap.

### WORDWRAPALL

    public static final int WORDWRAPALL

  Indicates all wardwrap.

### EXPORTSHAPE

    public static final int EXPORTSHAPE

  Indicates export geometry object to excel file.

### NOEXPORTSHAPE

    public static final int NOEXPORTSHAPE

  Indicates export geometry object to excel file.

### GB

    public static final int GB

  Indicates converter encoding.

### BIG5

    public static final int BIG5

  Indicates converter encoding.

Constructor Detail

### EngineAPIConst

    public EngineAPIConst()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD